| GET | /RestApi/translations/translations/types |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Type | query | string[] | No | |
| SearchText | query | string | No | |
| ActualSourceLanguage | query | string | No | |
| TargetLanguage | query | string[] | No | |
| Service | query | string[] | No | |
| TranslationStatus | query | TranslationStatus[] | No | |
| Status | query | string[] | No | |
| ProjectIds | query | Guid[] | No | |
| StartDate | query | DateTime? | No | |
| EndDate | query | DateTime? | No | |
| ErrorsOnly | query | bool | No |
| Name | Value | |
|---|---|---|
| Marked | 101 | |
| Sending | 201 | |
| Sent | 202 | |
| Received | 301 | |
| Importing | 302 | |
| Imported | 303 | |
| Completed | 304 | |
| Archived | 401 | |
| Deleted | 402 | |
| Rejected | 403 | |
| SendingError | 501 | |
| ImportingError | 502 | |
| ReceivingError | 503 |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/translations/types HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"FullName":"String","Name":"String","Count":0}]